Skip to main content
`Ctrl`+`K`

# miml.transformation.mimlTOmi.binary_relevance_transformation.BinaryRelevanceTransformation

class miml.transformation.mimlTOmi.binary_relevance_transformation.BinaryRelevanceTransformation

  Class that performs a binary relevance transformation to convert a MIMLDataset class to numpy ndarray.

  __init__()

  Methods

  `__init__`() |
  `transform_bag`(bag) | Transform miml bag to multi instance bags
  `transform_dataset`(dataset) | Transform the dataset to multi-instance datasets dividing the original dataset into n datasets with a single label, where n is the number of labels.